<?
include("connect.inc.php");
?>

<html>
<head>
  <title>Recuperation info utilisateur</title>
<meta content="text/html; charset=iso-8859-15" http-equiv="Content-Type" />
</head>
<body>
Recuperation info utilisateur </br></br></br>


<?php

// selection des identifiants des objets du perso No 1. On les met dans un tableau, on les affiche.
		$login='julie';
		$password='julie';
		echo "Votre login: $login </br>";
		echo "Votre pass: $password </br>";
		
		//On recupere le mail
		$mail=pg_query($dbconn,"select user_mail from users where user_id = 4"); 
		if (!$mail) {
  			echo "Erreur durant la requête de demande de mail. \n";
		}
		else{
			$mail=pg_fetch_array($mail);
		    echo "Votre mail: "."$mail[0] <br>";
		}
		
		//On recupere la guilde
		$guilde=pg_query($dbconn,"select user_guild_name from users where user_id = 4"); 
		if (!$guilde) {
  			echo "Erreur durant la requête de demande de user_guild_name. \n";
		}
		else{
			$guilde=pg_fetch_array($guilde);
		    echo "Votre guilde: "."$guilde[0] <br>";
		}
		
		//On recupere la couleur de la guilde
		$guilde_color=pg_query($dbconn,"select user_guild_color from users where user_id = 4"); 
		if (!$guilde_color) {
  			echo "Erreur durant la requête de demande de user_guild_name. \n";
		}
		else{
			$guilde_color=pg_fetch_array($guilde_color);
		    echo "Votre couleur de guilde: "."$guilde_color[0] <br>";
		}
		
		//On recupere les infos de la guilde
		$guilde_info=pg_query($dbconn,"select user_guild_infos from users where user_id = 4"); 
		if (!$guilde_info) {
  			echo "Erreur durant la requête de demande de user_guild_infos. \n";
		}
		else{
			$guilde_info=pg_fetch_array($guilde_info);
		    echo "Les infos sur votre guilde: "."$guilde_info[0] <br>";
		}
		
		//On recupere la date de derniere connexion
		$last_connex=pg_query($dbconn,"select user_last_connex from users where user_id = 4"); 
		if (!$last_connex) {
  			echo "Erreur durant la requête de demande de user_last_connex. \n";
		}
		else{
			$last_connex=pg_fetch_array($last_connex);
		    echo "Votre derniere connexion: "."$last_connex[0] <br><br>";
		}
		
		//On recupere le nombre de mimichant de l'utilisateur
		$nbMimichant=pg_query($dbconn,"select count (char_name) from characters where user_id = 4"); 
		if (!$nbMimichant) {
  			echo "Erreur durant la requête de demande du nb de mimi. \n";
		}
		else{
			$nbMimichant=pg_fetch_array($nbMimichant);
		    echo "Votre nombre de mimichant: "."$nbMimichant[0] <br><br>";
		}
		
		//On recupere les infos des mimichant de l'utilisateur
		$Mimichant=pg_query($dbconn,"select char_name from characters where user_id = 4"); 
		while($ligneId=pg_fetch_array($Mimichant)){
			echo "Nom du mimichant : "."$ligneId[0]<ul>";	
		//	foreach($ligneId as $valeurId){

					//point d'action
					$PA=pg_query($dbconn,"select char_pa from characters where char_name ='$ligneId[char_name]'"); 
					if (!$PA) echo "Erreur durant la requête de demande de PA. \n";
					else {
						$PA=pg_fetch_array($PA);
						echo " <li> Nombre de point d'action : "."$PA[0] </li> ";	
					}
					//point de vie
					$PV=pg_query($dbconn,"select char_pv from characters where char_name ='$ligneId[char_name]'"); 
					if (!$PV) echo "Erreur durant la requête de demande de Pv. \n";
					else {
						$PV=pg_fetch_array($PV);
						echo " <li> Nombre de point de vie : "."$PV[0] </li> ";	
					}
					
					//chocopepite
					$CP=pg_query($dbconn,"select char_money from characters where char_name ='$ligneId[char_name]'"); 
					if (!$CP) echo "Erreur durant la requête de demande de CP. \n";
					else {
						$CP=pg_fetch_array($CP);
						echo " <li> Nombre de chocopepites : "."$CP[0] </li> ";	
					}
			  echo "</ul>";
		//	}
		}

			


?>




</body>
</html>

